Bug 6906 - send-fidogate не работает из-за нехватки прав на /var/spool/fidogate/outpkt
: send-fidogate не работает из-за нехватки прав на /var/spool/fidogate/outpkt
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fidogate)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-19 23:40 by
Modified: 2005-06-14 09:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-19 23:40:02
root@vvk /var/spool/fidogate/outpkt # ls -l
total 0
drwxr-xr-x  2 ftn ftn 48 May 17 00:46 mail
drwxr-xr-x  2 ftn ftn 48 May 17 00:46 news

Так как send-fidogate запускается от пользователя news, входящего в группу ftn,
а на /var/spool/fidogate/outpkt запись группе не разрешена, send-fidogate не
отрабатывает:

# su -s /bin/bash -c "/usr/bin/send-fidogate" news

В log-news:
May 20 01:39:44 rfc2ftn ERROR: pkt_open(): can't create packet
/var/spool/fidogate/outpkt/news/00002064.tmp (errno=13: Permission denied)
------- Comment #1 From 2005-05-20 13:11:35 -------
fixed in 5.2.1-alt4